[android-components](../../../index.md) / [org.mozilla.telemetry.measurement](../../index.md) / [DefaultSearchMeasurement](../index.md) / [DefaultSearchEngineProvider](./index.md)

# DefaultSearchEngineProvider

`interface DefaultSearchEngineProvider` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/telemetry/src/main/java/org/mozilla/telemetry/measurement/DefaultSearchMeasurement.java#L12)

### Functions

| Name | Summary |
|---|---|
| [getDefaultSearchEngineIdentifier](get-default-search-engine-identifier.md) | `abstract fun getDefaultSearchEngineIdentifier(): `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
